Bug 220151 - kbd doesn't support Korean keyboard (106key)
kbd doesn't support Korean keyboard (106key)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks: 212280
  Show dependency treegraph
 
Reported: 2006-12-19 05:44 EST by Peng Huang
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.12-21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-09 05:11:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2006-12-19 05:44:17 EST
Description of problem:
kbd doesn't support Korean keyboard (106key).

Version-Release number of selected component (if applicable):
kbd-1.12-8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Please refer to https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=212280
Comment 1 Peng Huang 2006-12-19 05:46:28 EST
Sorry, the version should be kbd-1.12-18.
Comment 2 Miloslav Trmač 2007-01-04 19:19:14 EST
Care to prepare a Korean map?  I don't really know what it should look like and
how to test it.

Searching the Internet seems to suggest a Korean keyboard requires an IME, so it
can't be implemented for the console completely.  Is there an useful subset that
can be implemented for the console?

If the best that can be done on the console is keeping the US layout, #212280
will probably be best fixed by not creating a Korean console layout and changing
s-c-k.
Comment 3 Peng Huang 2007-01-08 21:34:14 EST
Hi Jong Bae KO,
    Could you tell some details about Korean keyboard (106key)?
Thanks
Shawn
Comment 4 Jong Bae KO 2007-01-08 23:55:19 EST
Hi All,

I provided the details of How to add Hangul layout in bug 212280.


#setxbmap kr

or

#vi /etc/X11/xorg.conf
edit this line: Option "XkbLayout" "us"
us ---> kr

or

set up in gnome-keyboard-properties

or

edit in /etc/X11/Xmodmap
keycode 109 = Hangul_Hanja
keycode 113 = Hangul

#xmodmap /etc/X11/Xmodmap

All keys are just the same as US-keyboard layout, and Included two extra
keys(Hangul & Hangul_Hanja).


Comment 5 Peng Huang 2007-01-09 01:10:01 EST
Hi Miloslav,
    Could we add a kr layout that is same with us key layout? just their names
are different. It's ok?
    If we fix bug #212280 without a kr kbd layout, we should modify many
packages (initscripts, rhpl & s-c-k). And if we modify rhpl, maybe it will
impact some other packages. :(
Thanks
Shawn
Comment 6 Miloslav Trmač 2007-01-09 05:11:00 EST
Thanks for the information, I have added a "ko" layout to rawhide kbd-1.12-21.

Note You need to log in before you can comment on or make changes to this bug.